NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.CAE.ElementInfoUtils Class Reference

Represents a system to query information about FE-based elements More...

Inheritance diagram for NXOpen.CAE.ElementInfoUtils:

Public Member Functions

unsafe NXOpen.Point3d[] Ask2d3dElementCentroids (NXOpen.CAE.FEElement[] elements, NXOpen.CoordinateSystem coordinateSystem)
 Returns the centroids of 2D and 3d finite elements in absolute or reference coordinate system. More...
 
unsafe double[] Ask2dElementAreas (NXOpen.CAE.FEElement[] elements)
 Returns the areas of the 2D finite elements. More...
 
unsafe NXOpen.Vector3d[] Ask2dElementNormals (NXOpen.CAE.FEElement[] elements)
 Returns the normals of the 2D finite elements. More...
 
unsafe double[] Ask3dElementVolumes (NXOpen.CAE.FEElement[] elements)
 Returns the volumes of the 3D finite elements. More...
 
unsafe
NXOpen.CAE.BeamElementInfoHandler 
CreateBeamElementInfoHandler ()
 Returns a NXOpen.CAE.BeamElementInfoHandler More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a system to query information about FE-based elements

To obtain an instance of this class, refer to NXOpen.CAE.NodeElementManager

Created in NX11.0.0

Member Function Documentation

unsafe NXOpen.Point3d [] NXOpen.CAE.ElementInfoUtils.Ask2d3dElementCentroids ( NXOpen.CAE.FEElement[]  elements,
NXOpen.CoordinateSystem  coordinateSystem 
)

Returns the centroids of 2D and 3d finite elements in absolute or reference coordinate system.

Use a tag of a null reference (Nothing in Visual Basic) for coordinateSystem to indicate the absolute coordinate system. It will fail if given wrong type of elements

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
elements
coordinateSystem
Returns
unsafe double [] NXOpen.CAE.ElementInfoUtils.Ask2dElementAreas ( NXOpen.CAE.FEElement[]  elements)

Returns the areas of the 2D finite elements.

It will fail if given wrong type of elements

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
elements
Returns
unsafe NXOpen.Vector3d [] NXOpen.CAE.ElementInfoUtils.Ask2dElementNormals ( NXOpen.CAE.FEElement[]  elements)

Returns the normals of the 2D finite elements.

It will fail if given wrong type of elements

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
elements
Returns
unsafe double [] NXOpen.CAE.ElementInfoUtils.Ask3dElementVolumes ( NXOpen.CAE.FEElement[]  elements)

Returns the volumes of the 3D finite elements.

It will fail if given wrong type of elements

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
elements
Returns
unsafe NXOpen.CAE.BeamElementInfoHandler NXOpen.CAE.ElementInfoUtils.CreateBeamElementInfoHandler ( )

Returns a NXOpen.CAE.BeamElementInfoHandler

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns

Property Documentation

Tag NXOpen.CAE.ElementInfoUtils.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.